﻿@{ Layout = "~/Views/Shared/_BlankLayout.cshtml"; }
@*Pop Up Part Master*@
@using (Html.BeginForm("", "GenerateProductionSchedule", FormMethod.Post))
{
    <div>
        <table>
            <tr>
                <td style="width: 80px">
                    @Html.DevExpress().Label(
                    Label =>
                    {
                        Label.Text = "*Prod Month";
                    }).GetHtml()
                </td>
                <td style="width: 170px">
                    @Html.DevExpress().DateEdit(
                    settings =>
                    {
                        settings.Name = "I_PU_ProdMonth";
                        //settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                        settings.Properties.ValidationSettings.ErrorDisplayMode = DevExpress.Web.ASPxEditors.ErrorDisplayMode.ImageWithTooltip;
                        settings.Properties.EditFormatString = "yyyyMM";
                        settings.Properties.DisplayFormatString = "yyyyMM";
                        settings.Properties.CalendarProperties.EnableYearNavigation = true;
                        settings.Properties.ClientSideEvents.DropDown = "OnDropDownCalendar";
                        settings.Properties.ClientSideEvents.Init = "OnInitCalendar";
                        settings.Width = 150;
                    }).GetHtml()
                </td>
                <td style="width: 80px">
                    @Html.DevExpress().Label(
                    Label =>
                    {
                        Label.Text = "*Plant Code";
                    }).GetHtml()
                </td>
                <td style="width: 170px">
                    @Html.DevExpress().ComboBox(
                        settings =>
                        {
                            settings.Name = "I_PU_PlantCd";
                            settings.Width = 150;
                            settings.SelectedIndex = -1;
                            settings.Properties.DropDownWidth = 400;
                            settings.Properties.DropDownStyle = DropDownStyle.DropDownList;
                            settings.CallbackRouteValues = new { Controller = "GenerateProductionSchedule", Action = "SPN221GetMasterPlant" };
                            settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.StartsWith;
                            settings.Properties.TextFormatString = "{0}";
                            settings.Properties.ValueField = "PLANT_CD";
                            settings.Properties.ValueType = typeof(string);

                            settings.Properties.Columns.Add("PLANT_CD", "Plant Code", 100);
                            settings.Properties.Columns.Add("SLOC_CD", "Sloc Code", 100);
                            settings.Properties.Columns.Add("DESCRIPTION", "Description", 250);
                        }
                    ).BindList(ViewData["DataMasterPlant"]).GetHtml()
                </td>
                <td style="width: 80px">
                    @Html.DevExpress().Label(
                    Label =>
                    {
                        Label.Text = "*Line Code";
                    }).GetHtml()
                </td>
                <td style="width: 170px">
                    @Html.DevExpress().ComboBox(
                            settings =>
                            {
                                settings.Name = "I_PU_LineCd";
                                settings.Width = 150;
                                settings.SelectedIndex = -1;
                                settings.Properties.DropDownWidth = 400;
                                settings.Properties.DropDownStyle = DropDownStyle.DropDownList;
                                settings.CallbackRouteValues = new { Controller = "GenerateProductionSchedule", Action = "SPN221GetMasterLine" };
                                settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.StartsWith;
                                settings.Properties.TextFormatString = "{0}";
                                settings.Properties.ValueField = "LINE_CD";
                                settings.Properties.ValueType = typeof(string);
                                settings.Properties.Columns.Add("LINE_CD", "Line Code", 100);
                                settings.Properties.Columns.Add("DESCRIPTION", "Description", 250);                            
                            }
                        ).BindList(ViewData["DataMasterLine"]).GetHtml()
                </td>
                <td style="width: 80px">
                    @Html.DevExpress().Label(
                    Label =>
                    {
                        Label.Text = "Order Type";
                    }).GetHtml()
                </td>
                <td style="width: 120px">
                    @Html.DevExpress().ComboBox(
                    ComboBox =>
                    {
                        ComboBox.Name = "I_PU_OrderType";
                        ComboBox.Width = 100;
                        ComboBox.Properties.DisplayFormatString = "{0}";
                        ComboBox.Properties.ValueType = typeof(string);
                        ComboBox.Properties.Items.Add("ALL");
                        ComboBox.Properties.Items.Add("Regular");
                        ComboBox.Properties.Items.Add("Emergency");
                    }).GetHtml()
                </td>
                <td>
                    @Html.DevExpress().Button(Button =>
                    {
                        Button.Name = "I_Generate";
                        Button.Text = "Generate";
                        Button.Width = 70;
                        Button.ClientSideEvents.Click = "GenerateData";
                        Button.Style.Add("display", "inline-table");
                        //Button.ClientEnabled = false;
                        //Button.UseSubmitBehavior = true;
                    }).GetHtml()
                </td>
            </tr>
        </table>
    </div>
}